org.apache.commons.math.analysis.interpolation

## Class LinearInterpolator

- java.lang.Object
- - org.apache.commons.math.analysis.interpolation.LinearInterpolator

- All Implemented Interfaces:
    UnivariateRealInterpolator

      public class LinearInterpolator
      extends java.lang.Object
      implements UnivariateRealInterpolator

  Implements a linear function for interpolation of real univariate functions.
  Since:
    2.2
  Version:
    $Revision$ $Date$

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinearInterpolator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PolynomialSplineFunction` | `interpolate(double[] x, double[] y)` Computes a linear interpolating function for the data set.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinearInterpolator

          public LinearInterpolator()

  - ### Method Detail

    - #### interpolate

          public PolynomialSplineFunction interpolate(double[] x,
                                             double[] y)

      Computes a linear interpolating function for the data set.
      Specified by:
        `interpolate` in interface `UnivariateRealInterpolator`
      Parameters:
        `x` - the arguments for the interpolation points
        `y` - the values for the interpolation points
      Returns:
        a function which interpolates the data set
      Throws:
        `DimensionMismatchException` - if `x` and `y` have different sizes.
        `NonMonotonousSequenceException` - if `x` is not sorted in strict increasing order.
        `NumberIsTooSmallException` - if the size of `x` is smaller than 2.

Copyright (c) 2003-2013 Apache Software Foundation